summaryrefslogtreecommitdiffstats
path: root/source/n/iproute2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/iproute2
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/iproute2')
-rw-r--r--source/n/iproute2/doinst.sh11
-rw-r--r--source/n/iproute2/iproute2-4.16.0.tar.signbin0 -> 566 bytes
-rw-r--r--source/n/iproute2/iproute2-4.4.0.tar.signbin543 -> 0 bytes
-rwxr-xr-xsource/n/iproute2/iproute2.SlackBuild21
-rw-r--r--source/n/iproute2/iproute2.url1
-rw-r--r--source/n/iproute2/slack-desc10
6 files changed, 24 insertions, 19 deletions
diff --git a/source/n/iproute2/doinst.sh b/source/n/iproute2/doinst.sh
index 19f75595c..ddd598af0 100644
--- a/source/n/iproute2/doinst.sh
+++ b/source/n/iproute2/doinst.sh
@@ -9,11 +9,6 @@ config() {
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
-config etc/iproute2/ematch_map.new
-config etc/iproute2/group.new
-config etc/iproute2/rt_dsfield.new
-config etc/iproute2/rt_protos.new
-config etc/iproute2/rt_realms.new
-config etc/iproute2/rt_scopes.new
-config etc/iproute2/rt_tables.new
-config etc/iproute2/nl_protos.new
+for file in etc/iproute2/*.new ; do
+ config $file
+done
diff --git a/source/n/iproute2/iproute2-4.16.0.tar.sign b/source/n/iproute2/iproute2-4.16.0.tar.sign
new file mode 100644
index 000000000..de3e58160
--- /dev/null
+++ b/source/n/iproute2/iproute2-4.16.0.tar.sign
Binary files differ
diff --git a/source/n/iproute2/iproute2-4.4.0.tar.sign b/source/n/iproute2/iproute2-4.4.0.tar.sign
deleted file mode 100644
index 129ba4376..000000000
--- a/source/n/iproute2/iproute2-4.4.0.tar.sign
+++ /dev/null
Binary files differ
diff --git a/source/n/iproute2/iproute2.SlackBuild b/source/n/iproute2/iproute2.SlackBuild
index 942c6120f..bee012c40 100755
--- a/source/n/iproute2/iproute2.SlackBuild
+++ b/source/n/iproute2/iproute2.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=iproute2
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
#NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -36,6 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -50,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-iproute2
@@ -58,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf iproute2-$VERSION
-tar xvf $CWD/iproute2-$VERSION.tar.xz || exit 1
+tar xvf $CWD/iproute2-$VERSION.tar.?z || exit 1
cd iproute2-$VERSION
chown -R root:root .
diff --git a/source/n/iproute2/iproute2.url b/source/n/iproute2/iproute2.url
new file mode 100644
index 000000000..815451c49
--- /dev/null
+++ b/source/n/iproute2/iproute2.url
@@ -0,0 +1 @@
+https://www.kernel.org/pub/linux/utils/net/iproute2/
diff --git a/source/n/iproute2/slack-desc b/source/n/iproute2/slack-desc
index 7f6b1d614..53932e634 100644
--- a/source/n/iproute2/slack-desc
+++ b/source/n/iproute2/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
iproute2: iproute2 (IP routing utilities)
iproute2:
iproute2: These are tools used to administer many advanced IP routing features
-iproute2: in the kernel. See Configure.help in the kernel documentation
+iproute2: in the kernel. See Configure.help in the kernel documentation
iproute2: (search for iproute2) for more information on which kernel options
iproute2: these tools are used with.
iproute2:
-iproute2: These utilities were written by Alexey Kuznetsov. The current
+iproute2: These utilities were written by Alexey Kuznetsov. The current
iproute2: maintainer of iproute2 is Stephen Hemminger.
iproute2:
iproute2: